Prerequisites for IBM Content Collector Version 2.2

Product documentation


Abstract

This document details the system requirements for IBM Content Collector Version 2.2.

Content

Product requirements for IBM Content Collector

 

Legend
Supported Supported
Δ Added or changed information since the last fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel 32-bit processors, including IBM System x, eServer xSeries, and BladeCenter servers.
X86-64 64-bit AMD Opteron (AMD64) and Intel Xeon (EM64T) processors, including IBM System x and BladeCenter servers

Hardware requirements

The following table contains the minimum and the recommended hardware requirements for IBM Content Collector.

Machine Hardware requirements Minimum Recommended
Content Collector Server
Processor 2 dual-core processors
x86 or x86-64
2 six-core processors
x86 or x86-64
Processor speed 2.5 GHz > 3 GHz
System memory (RAM) 4 GB 8 GB
Hard disk Hard drive with sufficient capacity 2 enterprise class hard drives with 10000 RPM or better
Disk space For IBM Content Collector program package, prerequisite software, temporary data, and log information 150 GB > 150 GB
For each IBM Content Collector Server that is intended to run an SMTP Receiver instance 750 GB redundant storage

If multiple Content Collector Servers are deployed in a scale-out setup to archive documents from SMTP email systems, this storage must be on a fast NAS device and shared between all Content Collector Servers.
1 TB redundant storage
For SharePoint archiving If multiple Content Collector servers are deployed in a scale-out setup to archive SharePoint documents, a shared network drive for temporary data is required.
Client workstations The hardware capacity of connected client workstations must be sufficient to run the supported client applications: For more information, see the client software documentation.

Supported virtualization environments for IBM Content Collector are VMware ESX and ESXi 4.0 and 4.1.

Software prerequisites

Prerequisites for IBM Content Collector Server

The following table describes the operating system and other software that is required on the system where IBM Content Collector Server is installed.

Important:

  • On a 64-bit operating system, IBM Content Collector Server runs in 32-bit compatibility mode. Therefore, IBM Content Collector Server requires the 32-bit version of all software prerequisites.
  • For performance reasons, do not colocate the IBM Content Collector Server and the archive system on one server in a production environment. This setup can be used for testing or demonstration purposes, but it is not officially supported.
  • The server where IBM Content Collector is installed must not have the role of a domain controller.
One of the following operating systems (required) One or more of the following connectors (depending on the archive systems in use) Other software
(must be 32-bit)
Notes
  • Windows Server 2008 Standard Edition (32-bit or 64-bit) with Service Pack 2 or Release 2 with Service Pack 1 on x86 or x86-64
  • Windows Server 2008 Enterprise Edition (32-bit or 64-bit) with Service Pack 2 or Release 2 with Service Pack 1 on x86 or x86-64
  • Windows Server 2003 Standard Edition (32-bit or 64-bit) with Service Pack 2 or Release 2 on x86 or x86-64
  • Windows Server 2003 Enterprise Edition (32-bit or 64-bit) with Service Pack 2 or Release 2 on x86 or x86-64
  • DB2 Information Integrator for Content for IBM Content Manager V8.x repositories. See IBM Content Manager 8.x.
  • FileNet Content Engine Enterprise Manager SnapIn and Java client for IBM FileNet P8 repositories. See IBM FileNet P8.
  • Panagon Web Services 4.x and client libraries if IBM FileNet Image Services is used as a repository. See IBM FileNet P8.
Microsoft .NET Framework 2.0 SP2 (for Windows 2003) or Microsoft .NET Framework 3.5 SP1 (for Windows 2008) Windows 2008 R2 comes with Microsoft .NET Framework 3.5 SP1 installed.
Microsoft Web Services Enhancements 3.0 (KB943508)
or
Microsoft Windows Communication Foundation
Microsoft Web Services Enhancements 3.0 is required for only the P8 connector.

Microsoft Windows Communication Foundation is supported only for SSL connections.
Microsoft Core XML Services 6.0 (required only for Windows Server 2003) Microsoft Core XML Services (MSXML) 6.0 is required for only the file system connector. With the file system connector, you can archive files (rather than email) from a Windows file system.
Δ Lotus Domino 8.5.2 FP2 or 8.5.3 server A Lotus Domino server is required only if you want to archive Lotus Notes documents. The server provides a Lotus Notes API for processing Lotus Notes documents.
Microsoft Outlook 2010, Microsoft Outlook 2007, or Microsoft Outlook 2003 A Microsoft Outlook Client is required only if you want to archive email from Microsoft Exchange servers. The Outlook client provides the Messaging API (MAPI) for email processing.
Microsoft Windows DST update KB 955839 This update is required only if you are converting dates to UTC.
OLE-DB and JDBC drivers The OLE-DB and JDBC drivers for the database management system for the Content Collector configuration database are required on the system where the IBM Content Collector server is installed.

Lotus Domino 8.5.3 server is supported starting with IBM Content Collector 2.2 FP2. Microsoft Windows Communication Foundation is supported starting with IBM Content Collector 2.2 FP3.

Database management system for the IBM Content Collector configuration database

The configuration database of IBM Content Collector can be created in the following database management systems:

Archive system (repository software) Possible database management systems for configuration database
IBM DB2 Content Manager Enterprise Edition 8.4.1 Fix Pack 1
  • IBM DB2 9.1 Fix Pack 8
  • IBM DB2 9.5 Fix Pack 5
IBM DB2 Content Manager 8.4.2 Enterprise Edition Fix Pack 2
  • IBM DB2 9.1 Fix Pack 8
  • IBM DB2 9.5 Fix Pack 5
  • IBM DB2 9.7 Fix Pack 3a
IBM Content Manager Enterprise Edition 8.4.3 and IBM Content Manager Enterprise Edition 8.4.3 Fix Pack 1
  • IBM DB2 9.1 Fix Pack 8
  • IBM DB2 9.5 Fix Pack 6
  • IBM DB2 9.7 Fix Pack 3a
IBM FileNet P8 Content Engine 4.5 and 4.5.1 Fix Pack 7 (or later)
  • IBM DB2 9.1 Fix Pack 8
  • IBM DB2 9.5 Fix Pack 5
  • IBM DB2 9.7 Fix Pack 3a
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11g R1 11.1.0.x (minimum version: 11.1.0.6)
  • Δ Oracle 11g R2 11.2.0.x (minimum version: 11.2.0.2)
  • Microsoft SQL Server 2005 Service Pack 3
  • Microsoft SQL Server 2008 Service Pack 1 (or later)
IBM FileNet P8 Content Engine 5.0 and 5.1
  • IBM DB2 9.5 Fix Pack 5
  • IBM DB2 9.7 Fix Pack 3a
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11g R1 11.1.0.x (minimum version: 11.1.0.6)
  • Δ Oracle 11g R2 11.2.0.x (minimum version: 11.2.0.2)
  • Microsoft SQL Server 2008 Service Pack 1 (or later)
  • Microsoft SQL Server 2008 R2
IBM FileNet Image Services 4.1.2
  • IBM DB2 9.1 Fix Pack 6
  • IBM DB2 9.5 Fix Pack 3
  • IBM DB2 9.7
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11g 11.1.0.x (minimum version: 11.1.0.6)
  • Δ Oracle 11g R2 11.2.0.x (minimum version: 11.2.0.2)
  • Microsoft SQL Server 2005 Service Pack 1
  • Microsoft SQL Server 2008 Service Pack 1 (or later)

IBM FileNet P8 Content Engine 5.0 and 5.1 are supported starting with IBM Content Collector 2.2 FP1. Oracle 11g R2 is supported starting with IBM Content Collector 2.2 FP2. IBM Content Manager Enterprise Edition 8.4.3 Fix Pack 1 is supported starting with IBM Content Collector 2.2 FP2.

If the database management system server is installed on a different machine than IBM Content Collector Server, you must install a database management system client on the IBM Content Collector server machine. IBM Content Collector Server requires the 32-bit version of the database management system client even when running on a 64-bit operating system. IBM Content Collector does not support a local 64-bit configuration database.


How to get:

You can purchase IBM Content Manager, IBM FileNet P8, and IBM DB2 for Linux, UNIX, and Windows from the following websites:

You can purchase Oracle from www.oracle.com and Microsoft SQL Server from www.microsoft.com.

Web server applications

IBM WebSphere Application Server

IBM Content Collector requires IBM WebSphere Application Server to run the configuration Web service and to perform search and restore operations. Typically, there is no need to check for compatible versions because IBM Content Collector comes with an embedded version of WebSphere Application Server Version 7.0. Note, however, that if you use an Oracle 10g database with WebSphere Application Server Version 7.0, the Oracle 11g JDBC driver is required.

If you decide not to use the embedded WebSphere Application Server, you can use an existing WebSphere Application Server. IBM Content Collector supports the 32-bit base edition of IBM WebSphere Application Server for Windows, versions 6.1.0.17 (or later) or 7.0 (or later). The Network Deployment edition or editions for other operating systems are not supported.

If you use an existing WebSphere Application Server, make sure that the following prerequisites that are required for IBM Content Collector server are also installed on the separate WebSphere Application Server:

  • Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package
  • Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package ATL Security Update
  • Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package

IBM Content Collector web application browsers

The IBM Content Collector web applications support the following browsers:

  • Mozilla Firefox 3.5 or 3.6
  • Mozilla Firefox 4.0.1
  • Mozilla Firefox 5, 6, or 7
  • Microsoft Internet Explorer 7
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 9

    Mozilla Firefox 4.0.1 is supported starting with IBM Content Collector 2.2 FP1. Mozilla Firefox 5, 6, and 7 is supported starting with IBM Content Collector 2.2 FP2. Microsoft Internet Explorer 9 is supported starting with IBM Content Collector 2.2 FP2.


How to get:

You can purchase WebSphere Application Server from the following website:
WebSphere Application Server

Collection source systems

Lotus Domino

The following table describes the supported versions of Lotus Domino for Domino mail servers and the supported versions of Lotus Notes for Notes mail clients:

Server software Client software Other software requirements Notes
  • Lotus Domino R7.0.4
  • Lotus Domino R8.0.2
  • Lotus Domino R8.5
  • Lotus Domino R8.5.1
  • Lotus Domino R8.5.2
  • Δ Lotus Domino R8.5.3
  • Lotus Notes R7.0.4
  • Windows XP Professional SP3 (32-bit)
  • Mozilla Firefox 3.5 or 3.6
  • Mozilla Firefox 4.0.1
  • Mozilla Firefox 5, 6, or 7
  • Microsoft Internet Explorer 7
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 9
On Mac OS X, Lotus Notes R8.5.1 Fix Pack 2 or higher is required.

If you want to use the IBM Content Collector Offline Repository in Lotus Notes, Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package ATL Security Update is required on the workstation that runs the Lotus Notes client.

Offline repositories, collecting additional archiving information, and automatic document retrieval is not supported for Lotus Notes clients on Mac OS.
  • Lotus Notes R8.0.2
  • Windows XP Professional SP3 (32-bit)
  • Windows Vista (32-bit)
  • Lotus Notes R8.5
  • Lotus Notes R8.5.1
  • Lotus Notes R8.5.2
  • Δ Lotus Notes R8.5.3
  • Windows XP Professional SP3 (32-bit)
  • Windows Vista (32-bit and 64-bit)
  • Windows 7 Service Pack 1 (32-bit and 64-bit)
  • Mac OS X 10.5.x (32-bit) (minimum version 10.5.5)
  • Mac OS X 10.6.x (32-bit and 64-bit) (minimum version 10.6.2)
  • Lotus Domino R7.0.4
  • Lotus Domino R8.0.2
  • Lotus Domino R8.5
  • Lotus Domino R8.5.1
  • Lotus Domino R8.5.2
  • Δ Lotus Domino R8.5.3
  • Lotus iNotes (formerly Lotus Domino Web Access)
  • Mozilla Firefox 3.5 or 3.6
  • Mozilla Firefox 4.0.1
  • Mozilla Firefox 5, 6, or 7
  • Microsoft Internet Explorer 7
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 9
Lotus iNotes must have been configured when the Domino server was initially configured.

Lotus Domino 8.5.3 and Lotus Notes 8.5.3 are supported starting with IBM Content Collector 2.2 FP2. Mozilla Firefox 4.0.1 is supported starting with IBM Content Collector 2.2 FP1. Mozilla Firefox 5, 6, and 7 is supported starting with IBM Content Collector 2.2 FP2. Microsoft Internet Explorer 9 is supported starting with IBM Content Collector 2.2 FP2.


How to get:

You can purchase Lotus Domino from the following website:
Lotus Domino

Microsoft Exchange

Server

The following table describes the supported versions of Microsoft Exchange Server:

Server software Notes
  • Microsoft Exchange Server 2003 with Service Pack 2
  • Microsoft Exchange Server 2003 Enterprise Edition with Service Pack 2
  • Microsoft Exchange Server 2007 with Service Pack 2
  • Microsoft Exchange Server 2007 Enterprise Edition with Service Pack 2
  • Microsoft Exchange Server 2010 Standard and Enterprise Edition
  • Microsoft Exchange Server 2010 Standard and Enterprise Edition with Service Pack 1
  • Microsoft Exchange Server 2010 Standard and Enterprise Edition with Service Pack 2
  • You must not install Microsoft Exchange Server on the IBM Content Collector machine on which Microsoft Outlook is installed.
  • If you encounter MAPI_E_CALL_FAILED problems with Exchange Server 2010, upgrade to Service Pack 2 Update Rollup 3 or request an interim update for Service Pack 1 from Microsoft for KB2674185.

Microsoft Exchange Server 2010 Standard and Enterprise Edition with Service Pack 1 or Service Pack 2 is supported starting with IBM Content Collector 2.2 FP2.

How to get:
You can purchase Microsoft Exchange Server from www.microsoft.com.


Clients

IBM Content Collector Outlook Extension

Before you add the IBM Content Collector Outlook Extension to a client workstation, ensure that the required software is installed on that workstation:

Operating system Client application Other software requirements Notes
  • Windows 7 Professional Service Pack 1 (32-bit or 64-bit)
  • Windows 7 Ultimate Service Pack 1 (32-bit or 64-bit)
  • Windows Vista Business (32-bit) with Service Pack 2
  • Windows Vista Enterprise (32-bit) with Service Pack 2
  • Windows XP Professional SP3 or later (32-bit)
  • Microsoft Outlook 2003
  • Microsoft Outlook 2007 Service Pack 2
  • Microsoft Outlook 2010 RTM (or later) (32-bit)
  • .NET Framework 2.0 (or later)
You can install the IBM Content Collector Outlook Extension irrespective of the language in which Outlook is installed.

An Outlook logon profile containing the parameters for the connection to the Exchange server must exist.
  • Mozilla Firefox 3.5 or 3.6
  • Mozilla Firefox 4.0.1
  • Mozilla Firefox 5, 6, or 7
  • Microsoft Internet Explorer 7
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 9

Mozilla Firefox 4.0.1 is supported starting with IBM Content Collector 2.2 FP1. Mozilla Firefox 5, 6, and 7 is supported starting with IBM Content Collector 2.2 FP2. Microsoft Internet Explorer 9 is supported starting with IBM Content Collector 2.2 FP2.


IBM Content Collector Outlook Web App (OWA)

Outlook Web App (OWA) Extension

To install the IBM Content Collector Outlook Web App (OWA, formerly Outlook Web Access) Extension on the Exchange server, the following requirements must be met:

Operating system for Exchange Server (required) Exchange Server version (required) Other software requirements Notes
Windows Server 2003 Service Pack 2 Microsoft Exchange Server 2003 Fix Pack 2 (or later) .NET Framework 2.0 (or later) The OWA interface of Exchange Server must be enabled.
Windows Server 2008 SP2 (64-bit) or Windows Server 2008 R2 Microsoft Exchange Server 2007 Fix Pack 1 (or later) or Microsoft Exchange Server 2010 .NET Framework 2.0 (or later)

Outlook Web App (OWA) Service

Apart from the Outlook Web App (OWA, formerly Outlook Web Access) Extension that is installed on the Exchange server, the Outlook Web App (OWA) Service is installed on top of a Microsoft Internet Information Service (IIS) Server. The following table lists the operating system and other requirements for the OWAs Service.

Operating system for the Outlook Web App Service (required) Other software requirements
Windows Server 2003 Service Pack 2
Microsoft IIS Server 5.5 (or later)
.NET Framework 2.0 (or later)
Windows Server 2008 Service Pack 2 (64-bit) or Windows Server 2008 R2
Microsoft IIS Server 7 (or later)
.NET Framework 2.0 (or later)

Before you install the OWA service:

  • Set the Web Service Extension ASP.NET 2.0.50727 to Allowed in the Internet Information Service (IIS) Manager.
  • Disable the forms authentication method after the installation. IBM Content Collector OWA Service does not support forms authentication in Microsoft IIS 7.0.

How to get:

You can purchase Microsoft IIS Server and .NET Framework from www.microsoft.com.


Outlook Web App (OWA) client

To be able to use the Outlook Web App (OWA, formerly Outlook Web Access) functions, clients require the following software on their workstations:

Software prerequisites for OWA clients
.NET Framework 2.0 (or later)
Microsoft Internet Explorer 7, Microsoft Internet Explorer 8, or Microsoft Internet Explorer 9

The following restrictions apply:

  • OWA is supported in Premium Mode only:
  • IBM Content Collector OWA support does not work with the OWA 2003 Basic Client.
  • IBM Content Collector OWA support does not work with OWA 2007 Light.
  • IBM Content Collector OWA support does not work with OWA 2007 if the option "Use the blind and low vision experience" is used. You can remove this option by clicking Options -> General Settings -> Accessibility.
  • IBM Content Collector OWA support on Exchange 2010 supports only the Internet Explorer browser and not Apple Safari, Mozilla Firefox, and so on although Microsoft OWA 2010 supports other browsers.
  • Microsoft Internet Explorer 9 is supported starting with IBM Content Collector 2.2 FP2.

Microsoft SharePoint

The following table describes the supported versions of Microsoft SharePoint.

Server software Client software
  • Microsoft Office SharePoint Server 2007 with Service Pack 2
  • Microsoft Windows SharePoint Services 3.0 with Service Pack 2
  • Microsoft Internet Explorer 7 or 8
  • Microsoft Internet Explorer 9
  • Mozilla Firefox 3.0
  • Mozilla Firefox 4.0.1
  • Mozilla Firefox 5, 6, or 7
  • Microsoft Office SharePoint Server 2010
  • Microsoft Windows SharePoint Foundation 2010
  • Microsoft Internet Explorer 7 or 8 (32-bit or 64-bit)
  • Microsoft Internet Explorer 9 (32-bit or 64-bit)
  • Mozilla Firefox 3.6
  • Mozilla Firefox 4.0.1
  • Mozilla Firefox 5, 6, or 7
  • Safari 4.0.4
  • Safari 5.0.5

Mozilla Firefox 4.0.1 is supported starting with IBM Content Collector 2.2 FP1. Safari 5.0.5 is supported starting with IBM Content Collector 2.2 FP1. Mozilla Firefox 5, 6, and 7 is supported starting with IBM Content Collector 2.2 FP2. Microsoft Internet Explorer 9 is supported starting with IBM Content Collector 2.2 FP2.


How to get:

You can acquire Microsoft SharePoint from www.microsoft.com.

File system support

The following table describes supported file systems.

File system Notes
NTFS V3.1

Maximum supported file size is 30 GB.
Novell Netware V6.5 SP 6

Restriction: If IBM Content Collector is installed on Windows 2008, Novell Client 2 SP1 IR 6 or later must be installed.

Archive servers

IBM Content Manager 8.0 and later

The following table describes the supported operating systems and the connector that is required on the IBM Content Collector server:

Archive system (repository software) Operating system Required connector on IBM Content Collector Server Notes
AIX
Linux
Solaris
Windows
z/OS
IBM Content Manager Enterprise Edition V8.4.1 with Fix Pack 1, V8.4.2 with Fix Pack 2, V8.4.3, and V8.4.3 with Fix Pack 1 that use the following database management system:
  • IBM DB2 V9.1 Fix Pack 8 Enterprise Server Edition
  • IBM DB2 V9.5 Fix Pack 5 Enterprise Server Edition
  • IBM DB2 V9.7 Fix Pack 3a Enterprise Server Edition
Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows DB2 Information Integrator for Content V8.4 (V8.4.2 FP3 for Turkish) Use the Setup Type Connector.

Important: Support for IBM Content Manager V8.4 on Linux requires:
  • Linux 32-bit system on an Intel platform or Linux for System z
  • IBM Content Manager V8.4.1 FP1
IBM Content Manager for z/OS Version V8.4, V8.4.1, V8.4.2, V8.4.3, and V8.4.3 with Fix Pack 1 Supported on z/OS DB2 Information Integrator for Content V8.4 (V8.4.2 FP3 for Turkish) IBM Content Manager for z/OS can be used as a repository for files and Microsoft SharePoint documents only. It is not suitable for email. Text search is not supported.

IBM Content Manager 8.4.3 FP1 is supported starting with IBM Content Collector 2.2 FP2.


Restriction: If the system language is set to Turkish, IBM Content Collector requires DB2 Information Integrator for Content version 8.4.2 FP3 or later.

How to get:

You can purchase IBM Content Manager from the following websites:

DB2 Information Integrator for Content is included in Content Manager Enterprise Edition.


Text-search function

To enable the text-search function (full-text search) for a Content Manager archive system, the IBM Content Collector indexer for text search must be installed. The indexer for text search requires the following software:

Archive Server Content Manager operating system and fix pack Information Integrator for Content Net Search Extender
The required version depends on the version of DB2 that is used by IBM Content Manager 8.x.
Additional Net Search Extender e-fixes (required) Notes
IBM DB2 Content Manager Enterprise Edition V8.4 AIX No fix pack required DB2 Information Integrator for Content V8.4 AIX Power 5.3 and 6.1 IBM Net Search Extender 9.1 Fix Pack 3 for DB2 V9.1 Install IBM Net Search Extender on the IBM Content Manager 8.x library server.

Install DB2 Information Integrator on the
IBM Content Collector server machine.

Install Net Search Extender fix packs and e-fixes on the archive server.
Solaris SPARC 9 and 10
Solaris Linux or Linux for System z (RHEL) 4.0 and 5.0
Linux (SLES) 10 and 11
Windows Server 2003, 2008, and 2008 R2
Linux or Linux for System z AIX Power 5.3 and 6.1 IBM Net Search Extender 9.5 for DB2 V9.5 Windows

IC58821
IP22989
Solaris SPARC 9 and 10
Windows Linux or Linux for System z (RHEL) 4.0 and 5.0
Linux (SLES) 10 and 11
Windows Server 2003, 2008, and 2008 R2
AIX Power 5.3 and 6.1 IBM Net Search Extender 9.7 for DB2 V9.7 Fix Pack 4
Solaris SPARC 9 and 10
Linux or Linux for System z (RHEL) 4.0 and 5.0
Linux (SLES) 10 and 11
Windows Server 2003, 2008, and 2008 R2

Requirement: On Solaris, the indexer for text search for IBM Content Manager V8.x requires the iconv package.

How to get:

You can download the IBM Content Manager fix packs and Net Search Extender e-fixes from the following websites:

IBM FileNet P8

The following table describes the supported operating systems and the FileNet APIs that are required for the IBM Content Collector server:

Archive system (repository software) Operating system Required APIs on IBM Content Collector Server Notes
AIX
HP-UX
Linux
Solaris
Windows
IBM FileNet P8 Content Engine 4.5 Fix Pack 2 or 4.5.1 Fix Pack 7 (or later) using one of the following database management systems:
  • IBM DB2 V9
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11g R1 11.1.0.x (minimum version: 11.1.0.6)
  • Δ Oracle 11g R2 11.2.0.x (minimum version: 11.2.0.2)
  • Microsoft SQL Server 2005 SP3
  • Microsoft SQL Server 2008 SP1 (or later)
Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows Microsoft Web Services Enhancements 3.0 (KB943508)
or
Microsoft Windows Communication Foundation
Follow the instructions in technote 1440428 to ensure that you have the required fixes for Microsoft Web Services Enhancements 3.0​​.

Microsoft Windows Communication Foundation is supported only for SSL connections.
.NET Clients The .NET Clients component is provided through the FileNet P8 Content Engine installer.
Java Clients (Other Applications)

The Java Clients component is provided through the FileNet P8 Content Engine Client installer.
IBM FileNet P8 Content Engine 5.0 or 5.1 using one of the following database management systems:
  • IBM DB2 V9
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11g R1 11.1.0.x (minimum version: 11.1.0.6)
  • Δ Oracle 11g R2 11.2.0.x (minimum version: 11.2.0.2)
  • Microsoft SQL Server 2008 SP1 (or later)
  • Microsoft SQL Server 2008 R2
Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows Microsoft Web Services Enhancements 3.0 (KB943508)
or
Microsoft Windows Communication Foundation
Follow the instructions in technote 1440428 to ensure that you have the required fixes for Microsoft Web Services Enhancements 3.0​​.

Microsoft Windows Communication Foundation is supported only for SSL connections.
.NET Clients The .NET Clients component is provided through the FileNet P8 Content Engine installer.
Java Clients (Other Applications) The Java Clients component is provided through the FileNet P8 Content Engine Client installer.
IBM FileNet Image Services 4.1.2 Supported on AIX Supported on HP-UX Supported on Solaris Supported on Windows IBM FileNet Image Services can only be used as a repository for files. It is not suitable for email. Text search and retrieving archived content through stub links is not supported.

IBM FileNet P8 Content Engine 5.0 and 5.1 are supported starting with IBM Content Collector 2.2 FP1. Oracle 11g R2 is supported starting with IBM Content Collector 2.2 FP2. The IBM Content Collector 2.2 FP1 Expiration Manager does not support IBM FileNet P8 Content Engine 5.1. Microsoft Windows Communication Foundation is supported starting with IBM Content Collector 2.2 FP3.

Important: The fix pack level of the Content Engine of IBM Content Collector Server must match the fix pack level of the Content Engine server for both the .NET Clients and the Java Clients components.

How to get:
You can purchase FileNet P8 from the following websites:

Text-search function

The text-search function (full-text search) for FileNet archive systems with IBM Legacy Content Search Engine requires Autonomy IDOL K2. Customers who use IBM Content Collector 2.2.0.0 or 2.2.0.1 and encounter problems when indexing and searching with IBM Legacy Content Search Engine (APAR HE09005) should upgrade to IBM Content Collector 2.2 Fix Pack 2 and use the latest style sets shipped with Fix Pack 2. New IBM Content Collector 2.2 customers who plan to use IBM Legacy Content Search Engine should install IBM Content Collector 2.2 Fix Pack 2 and use the latest style sets.

The text-search function (full-text search) for FileNet archive systems with IBM Content Search Services requires the following FileNet P8 components:

FileNet P8 components Required on which server Operating system Notes
AIX
HP-UX
Linux
Solaris
Windows
Δ IBM FileNet P8 Content Engine 5.1 with IF001, IF002, IF003, IF004, or later FileNet P8 server Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows Interim Fixes are available on Fix Central.
Δ IBM FileNet P8 Content Search Engine Client 5.1 (Content Search Services Client option) FileNet P8 server Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows
Δ IBM FileNet P8 Content Search Services 5.1 with IF001, IF002, or later Content Search Services server Supported on AIX Supported  on Linux Supported on Windows Interim Fixes are available on Fix Central.
Δ Java Clients (Other Applications) 5.1
  • Content Search Services server
  • IBM Content Collector server
Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows The Java Clients component is provided through the FileNet P8 Content Engine Client 5.1 installer.
Δ .NET Clients 5.1 IBM Content Collector server Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows The .NET Clients component is provided through the FileNet P8 Content Engine 5.1 installer.

Full-text search for FileNet archive systems with IBM Content Search Services is supported starting with IBM Content Collector 2.2 FP 2.

Legacy restore

The following table describes the supported operating systems for IBM Content Collector Legacy Restore:

Operating system Service Pack/Release
Windows Server 2008 Standard Edition (32-bit)
Windows Server 2008 Enterprise Edition (32-bit)
Windows Server 2003 Standard Edition (32-bit) Service Pack 2
Release 2
Windows Server 2003 Enterprise Edition (32-bit) Service Pack 2
Release 2

Optional software

The following table describes the software that is required if you want to use optional functions of IBM Content Collector:

Function Software
Use IBM InfoSphere Classification Module to classify documents IBM InfoSphere Classification Module V8.6 or V8.7
Declare records against documents in a FileNet P8 archive system IBM Enterprise Records V4.5 or V5.1

How to get:

You can purchase IBM InfoSphere Classification Module and IBM Enterprise Records from the following websites:

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Content Collector
All Content Collector products

Software version:

2.2.0

Operating system(s):

Windows 2003 server, Windows 2008

Reference #:

7019702

Modified date:

2012-05-23

Translate my page

Machine Translation

Content navigation